package TodoListApp.Domain;

import java.util.EnumSet;
import TodoListApp.Domain.*;

public class Task {
	
	private String title;
	private String beschreibung;
	private boolean istGemacht;
	private Prioritaet taskprioritaet;
	
	public Task(String title, String beschreibung, Prioritaet taskprioritaet) {
		this.title = title;
		this.beschreibung = beschreibung;
		this.taskprioritaet = taskprioritaet;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getBeschreibung() {
		return beschreibung;
	}

	public void setBeschreibung(String beschreibung) {
		this.beschreibung = beschreibung;
	}

	public boolean isIstGemacht() {
		return istGemacht;
	}

	public void setIstGemacht(boolean istGemacht) {
		this.istGemacht = istGemacht;
	}

	public Prioritaet getTaskprioritaet() {
		return taskprioritaet;
	}

	public void setTaskprioritaet(Prioritaet taskprioritaet) {
		this.taskprioritaet = taskprioritaet;
	}

	@Override
	public String toString() {
		return "Title= " + title + ", Beschreibung= " + beschreibung + ((istGemacht == false) ? ", istGemacht = Nein" : ", istGemacht = Ja") 
				+ ", Priorität= " + taskprioritaet;
	}	
}


